Unit tde36e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FB1DE36E_p, FB2DE36E_p, DE36E_p;

function tde36e: String;

implementation

function tde36e: String;
var
IH,M,JSTART,_i,IERR :Integer;
X,HMIN,EPS,P,H,Y1,Y2,XP :Extended;
BUL :Boolean;
YX :Array [0..1] of Extended;
YP :Array [0..1] of Extended;
R1 :Array [0..41] of Extended;
R2 :Array [0..5] of Extended;
R3 :Array [0..3] of Extended;
R4 :Array [0..1] of Extended;
R5 :Array [0..1] of Extended;
IR :Array [0..5] of Integer;
label
_6,_104,_105,_106,_20;
begin
Result := '';  {   }
IH := 0;
M := 2;
X := 0.0e0;
YX[0] := 2.e0;
YX[1] := 18.e0;
HMIN := 1.e-6;
EPS := 1.e-4;
P := 100.e0;
JSTART := 0;
H := 0.01e0;
BUL := False;
_6:
DE36E(FB1DE36E,FB2DE36E,M,JSTART,HMIN,EPS,P,YX,X,H,BUL,XP,YP,
     IR,R1,R2,R3,R4,R5,IERR);
Result := Result + Format('%s',[' IERR=']);
Result := Result + Format('%4d ',[IERR]) + #$0D#$0A;
IH := IH+1;
Y1 := Exp(-X)+Exp(-21.e0*X);
Y2 := 19.e0*Exp(-X)-Exp(-21.e0*X);
Result := Result + Format('%20.16f ',[X]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[YX[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%20.16f  %20.16f  %20.16f ',
 [H,Y1,Y2]) + #$0D#$0A;
case IH of
 1: goto _6;
 2: goto _6;
 3: goto _104;
 4: goto _105;
 5: goto _106;
 6: goto _6;
 7: goto _20;
end;
_104:
JSTART := -1;
H := 0.005e0;
goto _6;
_105:
JSTART := -1;
H := 0.02e0;
goto _6;
_106:
JSTART := -1;
H := 0.03e0;
goto _6;
_20:
UtRes('tde36e',Result);  {     tde36e.res }
exit;
UtRes('tde36e',Result);  {     tde36e.res }
exit;
end;

end.
